Bug 107916 - Cannot change file permissions from Windows
Cannot change file permissions from Windows
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 09:20 EDT by Seann Herdejurgen
Modified: 2014-08-31 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Seann Herdejurgen 2003-10-24 09:20:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (Windows NT 5.0; U)

Description of problem:
I am unable to change file permissions on samba shares using the Windows Security dialog box under file properties.  When I 
attempt to do so, I get "Access is denied".  I did an strace on the smbd process while attempting to change file permissions and I 
narrow it down to a failed system call:

   setxattr("public_html/test/colorwheel.jpg", "system.posix_acl_access", 0x82451f0, 36, ) = -1 EOPNOTSUPP (Operation not 
supported)

I have tested this on a RedHat 7.3 system using samba-2.2.7-3.7.3 and the problem does not exist.  I can change file permissions 
just 
fine under RedHat 7.3.

My smb.conf is below:

# Samba config file created using SWAT
# from morpheus.alphapager.org (10.0.0.2)
# Date: 2003/10/22 21:04:31

# Global parameters
[global]
        workgroup = HOME
        netbios name = PROXY
        server string = Samba Server
        interfaces = 10.0.0.1/32 127.0.0.1/32
        security = SHARE
        encrypt passwords = Yes
        log file = /var/log/samba/log.%m
        max log size = 50
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        preferred master = Yes
        domain master = Yes
        wins support = Yes
        default service = global

[homes]
        comment = Home Directories
        read only = No
        profile acls = Yes
        browseable = No

Version-Release number of selected component (if applicable):
samba-2.2.7a-8.9.0

How reproducible:
Always

Steps to Reproduce:
1. Create a Samba share on a RedHat 9 system
2. Mount that share to a Windows box
3. Right click on a file on the samba share and choose Properties->Security and attempt to change file permissions.
    

Actual Results:  You get a dialog box that says, "Access is denied"


Expected Results:  File permissions should have been modified.
This works fine under RedHat 7.3, samba-2.2.7-3.7.3


Additional info:

I have been able to reproduce this problem on multiple RedHat systems.
Comment 1 Seann Herdejurgen 2003-10-28 18:34:08 EST
I was able to load samba-2.2.7-3.7.3.i386.rpm from the RedHat 7.3 updates site 
onto my RedHat 9 box and the problem went away.

I also installed Samba 3.0 from samba.org and was able to change file 
permissions using Windows.
Comment 2 Mogens Kjaer 2004-01-17 03:37:21 EST
The same problem is the reason why Windows 2000 users can't
set a Samba share to be available offline. If you modify a file
offline, synchronization fails with a permission denied error
when you come online. The samba share is on an ext3 file system.

My solution to this problem was to recompile the RedHat 9
samba-2.2.7a-8.9.0.src.rpm with ACL's disabled. Maybe this fixes
your problem as well?

The RPMS's are available at: ftp://ftp.crc.dk/pub/samba/noacl
Comment 3 Bill Nottingham 2006-08-05 00:54:58 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:08:56 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.